//
//  GameCell.m
//  Mac N-Back
//
//  Created by Grant Limberg on 10/21/08.
//  Copyright 2008 GL Software. All rights reserved.
//

#import "GameCell.h"


@implementation GameCell

- (void)awakeFromNib {
	debug(@"%s:%d", __FUNCTION__, __LINE__);
	whiteBackground = YES;
}

- (void)drawRect:(NSRect)rect {
	if(whiteBackground) { 
		[[NSColor whiteColor] set];
	} else {
		[[NSColor redColor] set];
	}
	[NSBezierPath fillRect:rect];
	
	[NSBezierPath setDefaultLineWidth:2.0];
	[[NSColor blackColor] set];
	[NSBezierPath strokeRect:rect];
}

- (void)setSelected {
	debug(@"%s:%d", __FUNCTION__, __LINE__);
	whiteBackground = NO;
	[self setNeedsDisplay:YES];
}

- (void)deselect {
	debug(@"%s:%d", __FUNCTION__, __LINE__);
	whiteBackground = YES;
	[self setNeedsDisplay:YES];
}
@end
