//
//  GameController.h
//  Mac N-Back
//
//  Created by Grant Limberg on 10/21/08.
//  Copyright 2008 GL Software. All rights reserved.
//

#import <Cocoa/Cocoa.h>

@class GameStatus;
@class MacNBackAppDelegate;

@interface GameController : NSThread {
	NSArray *cellArray;
	NSArray *letterArray;
	NSMutableArray *selectionArray;
	NSTimer *gameTimer;
	
	NSUInteger currentCell;
	NSString *currentLetter;
	
	NSUInteger nBack;
	NSUInteger numRight;
	NSUInteger numWrong;	
	
	NSSpeechSynthesizer *synth;
	
	MacNBackAppDelegate *appDelegate;
	GameStatus *status;
}

@property (readwrite) NSUInteger nBack;
@property (readwrite, retain) NSArray *cellArray;
@property (readwrite, retain) MacNBackAppDelegate *appDelegate;
@property (readwrite, assign) NSUInteger currentCell;
@property (readwrite, copy) NSString *currentLetter;

- (id)init;
- (id)initWithNBack:(NSUInteger)n;

- (void)stopGame;
- (void)selectRandomCellAndLetter;
- (void)main;

- (void)matchPosition;
- (void)matchLetter;
@end
