//
//  MacNBackAppDelegate.h
//  Mac N-Back
//
//  Created by Grant Limberg on 10/21/08.
//  Copyright 2008 GL Software. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import "GameController.h"
#import "GameCell.h"
#import "PreferencesController.h"

@class GameStatus;

@interface MacNBackAppDelegate : NSObject <NSCoding> {
	IBOutlet NSButton *startButton;
	IBOutlet NSButton *stopButton;
	
	IBOutlet NSButton *audioMatchButton;
	IBOutlet NSButton *positionMatchButton;
	
	// game cells
	IBOutlet GameCell *cell1;
	IBOutlet GameCell *cell2;
	IBOutlet GameCell *cell3;
	IBOutlet GameCell *cell4;
	IBOutlet GameCell *cell5;
	IBOutlet GameCell *cell6;
	IBOutlet GameCell *cell7;
	IBOutlet GameCell *cell8;
	IBOutlet GameCell *cell9;
	
	NSArray *gameCells;
	
	GameController *controller;
	
	IBOutlet NSArrayController *arrayController;
	
	NSUInteger nBack;
	NSString *mode;
		
	PreferencesController *preferencesController;
}

- (IBAction)startGame:(id)sender;
- (IBAction)stopGame:(id)sender;
- (IBAction)audioMatch:(id)sender;
- (IBAction)positionMatch:(id)sender;
- (IBAction)showPreferencePanel:(id)sender;
- (void)gameFinished:(GameStatus*)status;
- (NSString *)applicationSupportFolder;
@end
